Bug 1460624 - Gluster main dashboard switch to ceph
Gluster main dashboard switch to ceph
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 3-alpha
Assigned To: Ankush Behl
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 05:00 EDT by Lubos Trilety
Modified: 2017-06-26 04:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Tendrl/dashboard/issues/436 None None None 2017-06-15 07:08 EDT

  None (edit)
Description Lubos Trilety 2017-06-12 05:00:21 EDT
Description of problem:
If there are ceph and gluster clusters present in tendrl it's not possible to open "Gluster" tab on "Dashboard" page. It always switch back to "Ceph" tab.

Version-Release number of selected component (if applicable):
tendrl-node-agent-3.0-alpha.9.el7scon.noarch
tendrl-commons-3.0-alpha.9.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.7.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Import or create ceph and gluster clusters on tendrl
2. Click on 'Gluster' link on "Dashboard" page.
3.

Actual results:
Gluster main dasboard starts opening but it's immediately switch back to ceph main dasboard.

Expected results:
Gluster main dashboard should be possible to open.

Additional info:
Comment 2 Ankush Behl 2017-06-20 04:57:00 EDT
Fixed with this version[1] please verify.

tendrl-dashboard-3.0-alpha.5.el7scon.noarch.rpm
Comment 3 Lubos Trilety 2017-06-21 07:05:20 EDT
After cache clean and restarting browser it seems to be working.

Checked on:
tendrl-commons-3.0-alpha.10.el7scon.noarch
tendrl-api-3.0-alpha.5.el7scon.noarch
tendrl-api-httpd-3.0-alpha.5.el7scon.noarch
tendrl-dashboard-3.0-alpha.5.el7scon.noarch
tendrl-node-agent-3.0-alpha.10.el7scon.noarch
tendrl-alerting-3.0-alpha.4.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.8.el7scon.noarch

Note You need to log in before you can comment on or make changes to this bug.